Package org.eclipse.cdt.core.parser

## Interface ISignificantMacros.IVisitor

Enclosing interface:
  ISignificantMacros

    public static interface ISignificantMacros.IVisitor

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `visitDefined​(char[] macro)` Returns whether to continue the visit.
`boolean` `visitUndefined​(char[] macro)` Returns whether to continue the visit.
`boolean` `visitValue​(char[] macro, char[] value)` Returns whether to continue the visit.

### Method Detail

#### visitDefined

    boolean visitDefined​(char[] macro)

Returns whether to continue the visit.

#### visitUndefined

    boolean visitUndefined​(char[] macro)

Returns whether to continue the visit.

#### visitValue

    boolean visitValue​(char[] macro,
                       char[] value)

Returns whether to continue the visit.